Manage call recording conditions for campaigns
A call recording condition can be set for a campaign to determine whether or not the call should be recorded. The call will be recorded if the full condition is met.Set Call Recording Condition
To conditionally record calls, set"record_calls" to true and set "call_recording_condition" to the expression you want to evaluate.
POST
https://invoca.net/api/2022-08-01/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>.json
Example Request Body
Record All Calls
To record all calls (and to remove an existing call recording condition), set"record_calls" to true and set "call_recording_condition" to empty string "".
POST
https://invoca.net/api/2022-08-01/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>.json
Example Request Body
Record No Calls
To record no calls (and to remove an existing call recording condition), set"record_calls" to false and set "call_recording_condition" to empty string "".
(If "record_calls" is false, no calls will be recorded even if there is a "call_recording_condition" set.)
POST
https://invoca.net/api/2022-08-01/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>.json
Example Request Body
Conditions
Condition | Details | Examples |
|---|---|---|
during_hours | True if the caller is calling during the hours specified in the campaign. | during_hours |
repeat | True if the caller has already called this campaign in the last N days (the interval N can be set on the campaign; the default is 30 days). | repeat |
landline | True if the caller is calling from a landline phone. | landline |
mobile | True if the caller is calling from a mobile phone. | mobile |
pressed[key] | True if the caller pressed the key. Supported characters (case sensitive): [1-9, a-z, W, N]. For a sub-menu keypress, join characters in their expected order with spaces (e.g. 1 1 2). | pressed[3] |
custom_data[field_partner_name] |
|
|
affiliate_name |
|
|
media_type |
|
|
promo_number_description |
|
|
and | Joins two conditions and is true if both conditions are true. | repeat and during_hours |
or | Joins two conditions and is true if either condition is true. | repeat or during_hours |
not | Inverts the following condition. | not during_hours |
( ) | Used for grouping. | mobile and (repeat or during_hours) |